#include <iostream>
#include <fstream>
#include <sstream>
#include <iomanip>
#include <string>
#include "pvo-block.hh"
#include "pvo-header.hh"
#include "pvo-FITS.hh"
#include "pvo-utils.hh"

using namespace Header;
using namespace Block;
using namespace FITS;
using std::string;

int main(int argc, char * argv[])
{

  std::string name;
  if(argc!=2){
    std::cerr << " Usage : \"pvosummary filename\"\n";
    return 0;
  }

  name = argv[1];

  PSRFits fitsfile;
//   fitsfile.setVerbosity(false);
  int status = fitsfile.openFile(name);
  
  if(status==0){
    fitsfile.gotoPHU();
    
    std::string ra,dec,date;
//     std::string missing = "N/A";
    std::string missing = "---";
    if(fitsfile.getKeyword<std::string>("RA",ra)!=0) ra = missing;
    if(fitsfile.getKeyword<std::string>("DEC",dec)!=0) dec = missing;
    if(fitsfile.getKeyword<std::string>("DATE-OBS",date)!=0) date = missing;
    
    std::cout << name << ": \t"
	      << std::setw(14) << ra   << " "
	      << std::setw(14) << dec  << " "
	      << std::setw(20) << date << "\n";
  }
}
